{% extends "forms/field.html.twig" %}

{% block input %}
    {% for key, text in field.options %}
        {% set id = field.id|default(field.name) ~ '-' ~ key %}

        <div class="radio {{ form_field_wrapper_classes }} {{ field.wrapper_classes }}">
            <input type="radio"
                   value="{{ key|e }}"
                   id="{{ id|e }}"
                   name="{{ (scope ~ field.name)|fieldName }}"
                   class="{{ form_field_radio_classes }} {{ field.classes }}"
                   {% if key == value %}checked="checked" {% endif %}
                   {% if field.disabled or isDisabledToggleable %}disabled="disabled"{% endif %}
                   {% if required %}required="required"{% endif %}
                   {% if field.tabindex %}tabindex="{{ field.tabindex }}"{% endif %}
            >
            <label style="display: inline" class="inline" for="{{ id|e }}">{{ text|t|raw }}</label>
        </div>
    {% endfor %}
{% endblock %}
